
Redmine - Patch #41725

Add svg icons sample view

2024-11-10 13:49 - Takashi Kato

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.1.0   

Description

Currently, when developing view templates, we cannot see the appearance of SVG icons.

I have attached a patch that adds an information page displaying all SVG icons and their names in development mode.

History

#1 - 2024-11-13 13:34 - Go MAEDA

- File clipboard-202411132129-kl5ak.png added

With the patch applied, you can view all available SVG icons at http://hostname/rails/info/svg_icons if the Redmine is running in development mode.

 clipboard-202411132129-kl5ak.png 

#2 - 2024-11-13 13:47 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2025-02-15 09:12 - Go MAEDA

- Category set to UI

- Target version changed from Candidate for next major release to 6.1.0

Setting the target version to 6.1.0.

Files

0001-Add-svg-icons-sample-view.patch 4.92 KB 2024-11-10 Takashi Kato

clipboard-202411132129-kl5ak.png 328 KB 2024-11-13 Go MAEDA
